Bug 220089 - sysutils/dtc: Update to 1.4.4
Summary: sysutils/dtc: Update to 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-17 22:48 UTC by Emmanuel Vadot
Modified: 2017-06-26 00:02 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (imp)


Attachments
v1.4.4 (1.34 KB, patch)
2017-06-17 22:48 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot freebsd_committer 2017-06-17 22:48:40 UTC
Created attachment 183583 [details]
v1.4.4

Update sysutils/dtc to 1.4.4 and use upstream repository
Comment 1 Warner Losh freebsd_committer 2017-06-24 23:22:10 UTC
Looks good to me.
Comment 2 commit-hook freebsd_committer 2017-06-25 19:29:15 UTC
A commit references this bug:

Author: linimon
Date: Sun Jun 25 19:29:04 UTC 2017
New revision: 444320
URL: https://svnweb.freebsd.org/changeset/ports/444320

Log:
  Switch from bsdimp repo to master repo (dgibson) and update to 1.4.4.

    DTC 1.4.4
    It turns out that dtc 1.4.3 - and most previous versions - have a
    serious build bug on a number of distros: libfdt.h incorrectly defines
    some system reserved __* macros for use with sparse.  These conflict
    with some system headers on RHEL7 and probably several other Linux
    distributions.

    This quick fix release includes patches to correct those build
    failures.  It also has a tiny handful of other cleanups.

    DTC 1.4.3
    This release adds code to libfdt to apply dynamic overlays in the
    format used by many Linux kernels for ARM.  Apart from that there are
    a number of small bugfixes and enhancements.

  PR:		220089
  Submitted by:	manu
  Reviewed by:	imp (maintainer)

Changes:
  head/sysutils/dtc/Makefile
  head/sysutils/dtc/distinfo
  head/sysutils/dtc/pkg-plist
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2017-06-25 19:58:18 UTC
Committed, thanks.